All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
icmpsock.h File Reference
`#include <ptlib/pprocess.h>`
`#include "unix/ptlib/icmpsock.h"`

Go to the source code of this file.

## Classes

class | PICMPSocket
| Create a socket channel that uses allows ICMP commands in the Internal Protocol. More...
class | PICMPSocket::PingInfo
| Information used by and obtained by the ping operation. More...